Update bowser to 1.9.4